Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class FocusAdapter

    java.lang.Object
      |
      +--java.awt.event.FocusAdapter

All Implemented Interfaces:
  EventListener, FocusListener

Direct Known Subclasses:
  BasicSplitPaneUI.FocusHandler, BasicTabbedPaneUI.FocusHandler

public abstract class FocusAdapter
extends Object
implements FocusListener

An abstract adapter class for receiving keyboard focus events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `FocusEvent` listener and override the methods for the events of interest. (If you implement the `FocusListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addFocusListener` method. When the component gains or loses the keyboard focus, the relevant method in the listener object is invoked, and the `FocusEvent` is passed to it.

Since:
  1.1
See Also:
  `FocusEvent`, `FocusListener`, Tutorial: Writing a Focus Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`FocusAdapter()`

Method Summary
`void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusAdapter

    public FocusAdapter()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Invoked when a component gains the keyboard focus.

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Invoked when a component loses the keyboard focus.

  Specified by:
    `focusLost` in interface `FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.